=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2009-01-23 20:53:40 +0000
+++ loggerhead/static/css/global.css	2009-02-18 03:32:01 +0000
@@ -337,3 +337,6 @@
 	background:#fcfcfc;
 	border:1px solid #b7b7b7;
 }
+.show_if_js {
+    display: none;
+}
\ No newline at end of file

=== modified file 'loggerhead/static/javascript/diff.js'
--- loggerhead/static/javascript/diff.js	2009-02-18 03:18:46 +0000
+++ loggerhead/static/javascript/diff.js	2009-02-18 03:32:01 +0000
@@ -90,15 +90,22 @@
     }
 
     function toggle_unified_sbs(event) {
+      event.preventDefault();
       if (unified) {
         Y.all(".pseudotable").each(make_sbs);
         unified = false;
+        Y.get("#toggle_unified_sbs").set('textContent', "Show unified diffs");
       }
-      else { // unified -> sbs
+      else {
         Y.all(".pseudotable").each(make_unified);
         unified = true;
+        Y.get("#toggle_unified_sbs").set('textContent', "Show diffs side-by-side");
       }
     }
 
     Y.on("click", toggle_unified_sbs, '#toggle_unified_sbs');
+    Y.on(
+      "domready", function () {
+        Y.all(".show_if_js").removeClass("show_if_js");
+      });
   });
\ No newline at end of file

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2009-02-18 03:18:46 +0000
+++ loggerhead/templates/revision.pt	2009-02-18 03:32:01 +0000
@@ -82,6 +82,7 @@
                  alt="collapse all" /> collapse all</a>
         </p>
         <!-- Table -->
+        <p class="expand show_if_js"><a id="toggle_unified_sbs" href="#">Show diffs side-by-side</a></p>
         <p class="codin"><img tal:attributes="src python:branch.static_url('/static/images/newCode.gif')" alt="added" /> added</p>
         <p class="codin"><img tal:attributes="src python:branch.static_url('/static/images/deleteCode.gif')" alt="removed" /> removed</p>
         <div class="clear"><!-- --></div>
@@ -89,7 +90,6 @@
       </tal:block>
 
       <div metal:fill-slot="content">
-        <input type="button" id="toggle_unified_sbs" value="Do it!" />
         <div class="diff"
              tal:repeat="item change/changes/modified">
 

